@import url('https://fonts.googleapis.com/css2?family=Montserrat:wght@400;500;600;700;800&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Merriweather+Sans:ital,wght@1,800&display=swap');

:root {
    --btn-color: #f14e4e;
    --btn-color-hover: #c03636;
}

body {
    background-color: #fff;
    font-family: 'Montserrat', sans-serif;
    font-size: 14px;
}
.container {
    max-width: 1170px;
    margin: 0 auto;
}
.btn-main {
    text-decoration: none;
    background-color: var(--btn-color);
    padding: 22px 44px;
    text-transform: uppercase;
    color: #ffffff;
    border-radius: 2px;
    font-weight: bold;
    transition: background-color 0.2s linear;
    display: inline-block;
    font-size: 16px;
    &:hover {
        background-color: var(--btn-color-hover);
    }
}

//HEADER
.header {
    background-color: #2f4b5c;
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    z-index: 999;
}
.top {
    display: flex;
    justify-content: space-between;
    align-items: center;
    height: 100px;
}
.logo a {
    font-size: 30px;
    font-style: italic;
    color: #07a8a8;
    font-family: 'Merriweather Sans', sans-serif;
}
.menu {
    display: block;
    ul {
        display: flex;
        li {
            padding-right: 50px;
            a {
                text-transform: uppercase;
                color: #fff;
                font-weight: 600;
                padding-bottom: 5px;
                &:hover {
                    border-bottom: 3px solid var(--btn-color);
                }
            }
        }
    }
}
.menu-icon {
    display: none;
    p {
        color: #fff;
        font-size: 26px;
        &:hover {
            cursor: pointer;
        }
    }
}
.mobile-tab {
    display: none;
    width: 100%;
    flex-direction: column;
    text-align: center;
    transition: opacity 1s linear, visibility 1s linear;
    li {
        padding: 20px 0;
    }
    a {
        text-decoration: none;
        color: #fff;
        font-weight: 600;
        font-size: 16px;
        &:after {
            content: "";
            display: block;
            width: 100%;
            height: 3px;
            position: absolute;
            top: 100%;
            left: 0;
            background-color: var(--main-color);
            opacity: 0;
            transition: opacity .1s linear;
        }
    }
}
.mobile-tab.active {
    display: flex;
    animation: showBlock 1s linear forwards;
}
@keyframes showBlock {
    0% {
        opacity: 0;
    }
    100% {
        opacity: 1;
    }
}

.intro-wrapper {
    width: 100%;
    height: 100vh;
    background-color: #0e0e0e;
}
.intro-bg {
    width: 100%;
    height: 100vh;
    background: url("../images/bg1.jpg") center no-repeat;
    background-size: cover;
    opacity: 0.5;
    z-index: 1;
    position: absolute;
}
.intro-order-bg {
    width: 100%;
    height: 100vh;
    background: url("../images/order-intro-bg.jpg") center no-repeat;
    background-size: cover;
    opacity: 0.5;
    z-index: 1;
    position: absolute;
}
.intro {
    width: 100%;
    height: 100vh;
    display: flex;
    justify-content: center;
    flex-direction: column;
    z-index: 2;
    position: absolute;
}
.intro-inner {
    text-align: center;
}
.intro-title {
    font-size: 60px;
    font-weight: bold;
    color: #ffffff;
    &:after {
        content: "";
        display: block;
        width: 50px;
        height: 3px;
        background-color: #fff;
        margin: 30px auto;
    }
}
.intro-subtitle {
    font-size: 30px;
    color: #cecece;
    margin-bottom: 100px;
    font-weight: normal;
    line-height: 1.5;
}

//SECTION
.section {
    padding: 80px 0;
}
.section-title {
    margin-bottom: 80px;
    text-align: center;
}
.title {
    font-size: 40px;
    font-weight: 600;
    margin-bottom: 30px;
}
.sub-title {
    font-size: 18px;
    line-height: 1.5;
    color: #626262;
}

//ABOUT
.about {
    text-align: center;
}
.services {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-around;
    .service {
        flex-basis: 300px;
        width: 100%;
        text-align: center;
        padding: 0 20px;
        margin-bottom: 50px;
        .image {
            font-size: 50px;
            color: #304a5c;
            margin-bottom: 15px;
        }
        .text {
            line-height: 1.5;
            .title {
                font-size: 20px;
                font-weight: 600;
                margin-bottom: 10px;
            }
            .description {
                font-size: 16px;
                font-weight: 500;
                color: #424242;
            }
        }
    }
}

//CONTROL
.control-bg {
    position: relative;
    background: url("../images/control.jpg")  no-repeat center top;
    background-size: cover;
    .control-bg-wrapper {
        background-color: #0e0e0e;
        position: absolute;
        width: 100%;
        height: 100%;
        top: 0;
        left: 0;
        opacity: 0.5;
    }
}
.control {
    color: #ffffff;
    text-align: center;
    position: relative;
    z-index: 999;
    .section-title {
        margin-bottom: 100px;
    }
    .btn-main {
        .icon {
            padding-right: 5px;
        }
    }
}

//OFFICE
.office {
    background-color: #4242421f;
    .section-title {
        color: #424242;
        margin-bottom: 0;
    }
}


//BEST
.best {
    max-width: 1170px;
    padding: 100px 0;
    display: flex;
    justify-content: space-around;
    flex-wrap: wrap;
    margin: 0 auto;
    .item {
        flex-basis: 525px;
        width: 100%;
        text-align: center;
        padding: 0 20px;
        margin-bottom: 50px;
    }
}
.best__content {
    color: #ffffff;
    text-align: center;
    position: relative;
    z-index: 999;
    margin-top: 100px;
    padding: 30px;
    line-height: 1.3;
    .title {
        font-size: 34px;
        font-weight: 700;
        margin-bottom: 20px;
    }
    .description {
        font-size: 18px;
    }
}
.btn-main {
    //margin-top: 100px;
    //padding: 10px 20px;
    .icon {
        padding-right: 5px;
    }
}
.best-work-bg {
    position: relative;
    width: 550px;
    height: 600px;
    background: url("../images/best1.jpg") no-repeat center;
    background-size: cover;
}
.best-people-bg {
    position: relative;
    width: 550px;
    height: 600px;
    background: url("../images/best2.jpg") no-repeat center;
    background-size: cover;
}
.best-bg-wrapper {
    background-color: #0e0e0e;
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    opacity: 0.5;
}
.best-action {
    position: absolute;
    bottom: 80px;
    left: 0;
    right: 0;
}


//FOOTER
footer {
    background-color: #2f4b5c;
    padding: 50px 0;
    .content {
        display: flex;
        flex-wrap: wrap;
        justify-content: space-around;
    }
}
.footer-menu {
    a {
        color: #fff;
        line-height: 2;
        &:hover {
            color: #b2b2b2;
        }
    }
}
.contact {
    li {
        padding: 5px;
        color: #fff;
        text-align: right;
        .icon {
            padding-right: 5px;
        }
    }
}
.member {
    .member-item {
        margin-bottom: 10px;
        display: inline-block;
    }
    p {
        color: #b2b2b2;
        margin-bottom: 20px;
    }
    a {
        margin: 0 10px;
        img {
            max-width: 100px;
        }
    }
}

.footer-copy {
    background-color: #153448;
    text-align: center;
    padding: 20px;
    line-height: 1.5;
    .copy {
        color: #838383;
        font-weight: 500;
    }
}





//ORDER PAGE
.order {
    margin: 150px 0;
}

.form {
    &__item {
        margin-bottom: 30px;
    }
    &__label {
        display: block;
        font-weight: 600;
        font-size: 20px;
        margin-bottom: 8px;
    }
    &__label-require {
        color: #bb2121;
        padding-left: 5px;
    }
    &__input {
        border: 1px solid #c3c3c3;
        width: 100%;
        font-size: 18px;
        padding: 10px 15px;
        border-radius: 3px;
    }
    &__select {
        border: 1px solid #c3c3c3;
        width: 200px;
        font-size: 18px;
        padding: 10px 15px;
        border-radius: 3px;
        background-color: #f1f1f1;
        color: #000;
        -webkit-appearance: none;
        -moz-appearance: none;
        appearance: none;
        &::-ms-expand {
            display: none;
        }
    }
    &__checkbox {
        position: absolute;
        z-index: -1;
        opacity: 0;
    }
    &__checkbox+label {
        display: inline-flex;
        align-items: center;
        user-select: none;
    }
    &__checkbox+label::before {
        content: '';
        display: inline-block;
        width: 1em;
        height: 1em;
        flex-shrink: 0;
        flex-grow: 0;
        border: 1px solid #adb5bd;
        border-radius: 0.25em;
        margin-right: 0.5em;
        background-repeat: no-repeat;
        background-position: center center;
        background-size: 50% 50%;
        font-size: 26px;
        cursor: pointer;
    }
    &__checkbox:checked+label::before {
        border-color: #0b76ef;
        background-color: #0b76ef;
        background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 8 8'%3e%3cpath fill='%23fff' d='M6.564.75l-3.59 3.612-1.538-1.55L0 4.26 2.974 7.25 8 2.193z'/%3e%3c/svg%3e");
    }
    &__checkbox:disabled+label::before {
        background-color: #e9ecef;
    }
}
.select-container {position:relative; display: inline;}
.select-container:after {content:""; width:0; height:0; position:absolute; pointer-events: none;}
.select-container:after {
    border-left: 5px solid transparent;
    border-right: 5px solid transparent;
    top: .3em;
    right: .75em;
    border-top: 8px solid black;
    opacity: 0.5;
}
.form-column-wrapper {
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
}
.form-column {
    width: 100%;
    flex-basis: 48%;
}
.require-check {
    label {
        font-size: 18px;
        line-height: 1.3;
    }
}
.order-notice {
    font-size: 16px;
    margin: 30px 0;
    color: #666666;
    line-height: 1.3;
}
.item-btn {
    text-align: center;
    margin-top: 60px;
    position: relative;
}
.btn-order {
    width: 500px;
    padding: 20px 0;
    font-size: 16px;
    text-transform: uppercase;
    font-weight: 600;
    color: #fff;
    background-color: #f36161;
    border-radius: 5px;
    transition: background-color .2s ease;
    &:hover {
        background-color: #c43a3a;
    }
}
.form-error {
    margin-top: 5px;
    color: red;
    display: none;
}

.item-success {
    text-align: center;
    display: none;
}
.success-icon {
    font-size: 50px;
    color: green;
    margin-bottom: 20px;
}
.success-text {
    font-size: 18px;
    font-weight: 600;
}



//WORKER PAGE
.intro-worker-bg {
    width: 100%;
    height: 100vh;
    background: url("../images/worker-bg.png") center no-repeat;
    background-size: cover;
    opacity: 0.5;
    z-index: 1;
    position: absolute;
}
.worker-intro {
    .intro-subtitle {
        font-size: 24px;
    }
}
.worker .services .service {
    flex-basis: 350px;
}
.employment {
    display: flex;
    width: 100%;
    justify-content: space-between;
    flex-wrap: wrap;
    .image {
        flex-basis: 40%;
        img {
            width: 100%;
        }
    }
    .text {
        flex-basis: 60%;
        padding: 50px 30px;
        .description {
            font-size: 18px;
            line-height: 1.5;
        }
    }
}

//PROCESS
.process {
    position: relative;
}
.process-wrapper {
    width: 100%;
    height: 100%;
    background-color: #ffffff;
    position: relative;
    z-index: 1;
}
.process-bg {
    width: 100%;
    height: 100%;
    background: url("../images/process-bg.jpg") center no-repeat;
    background-size: cover;
    opacity: 0.3;
    z-index: -999;
    position: absolute;
}
.process-content {
    width: 100%;
    //height: 100vh;
    display: flex;
    justify-content: center;
    flex-direction: column;
    z-index: 2;
    padding: 100px 0;
}
.process-content {
    .description {
        font-size: 18px;
        line-height: 1.5;
    }
    .btn-main {
        margin: 30px 0;
    }
}



//QUESTIONS
.questions {
    padding: 100px 0;
    background-color: whitesmoke;
    .item {
        margin-bottom: 10px;
    }
    .question {
        font-size: 18px;
        background-color: #304a5c;
        padding: 20px 30px;
        color: #fff;
        position: relative;
        .icon {
            position: absolute;
            right: 30px;
            top: 20px;
            color: #fff;
        }
        .icon-close {
            display: none;
        }
        &:hover {
            cursor: pointer;
            background-color: #3a5870;
        }
    }
}


.answer {
    display: none;
    padding: 20px 30px;
    font-size: 16px;
    line-height: 1.5;
    background-color: #fff;
    transition: opacity 1s ease-out, visibility 1s ease-out;
    ul {
        padding: 0 15px;
    }
    ul li {
        list-style: square;
        margin-bottom: 20px;
    }
}
.answer.active {
    display: block;
    animation: showAnswer 1s ease-out forwards;
}
@keyframes showAnswer {
    0% {
        opacity: 0;
    }
    100% {
        opacity: 1;
    }
}
